import { StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";

export const styles = StyleSheet.create({
  container: { flex: 1 },
  inputContainer: {
    backgroundColor: appColors.whiteColor,
  },
  inputBox: {
    backgroundColor: appColors.lightGray,
    height: windowHeight(45),
    borderRadius: windowHeight(5),
    flexDirection: "row",
    alignItems: "center",
    marginVertical: windowHeight(5),
  },
  input: {
    flex: 1,
    fontFamily: appFonts.regular,
    color: appColors.primaryText,
  },
  suggestionText: {
    color: appColors.gray,
    fontFamily: appFonts.regular,
    alignItems: "center",
    marginHorizontal: windowWidth(18),
    fontSize: fontSizes.FONT21,
    marginTop: windowHeight(2),
  },
  suggestionText1: {
    color: appColors.blackColor,
    fontFamily: appFonts.regular,
    alignItems: "center",
    marginHorizontal: windowWidth(8),
    fontSize: fontSizes.FONT17,
    width: "90%",
  },
  suggestionItem: {
    padding: windowHeight(10),
    flexDirection: "row",
  },
  swapButton: {
    position: "absolute",
    right: windowWidth(25),
    top: windowHeight(38),
    backgroundColor: appColors.whiteColor,
    height: windowHeight(35),
    width: windowHeight(35),
    borderRadius: windowHeight(20),
    alignItems: "center",
    justifyContent: "center",
    zIndex: 10,
    borderWidth: windowHeight(1),
    borderColor: appColors.border,
  },
  mapContainer: {
    flex: 1,
    marginTop: windowHeight(-5),
    zIndex: 0,
  },
  map: {
    flex: 1,
  },
  iconContainer: {
    height: windowHeight(35),
    width: windowHeight(35),
    backgroundColor: appColors.whiteColor,
    borderRadius: windowHeight(30),
    alignItems: "center",
    justifyContent: "center",
    marginHorizontal: windowWidth(10),
  },
  listView: {
    marginTop: windowHeight(5),
  },
  buttonView: {
    position: "absolute",
    bottom: windowHeight(20),
    width: "100%",
  },
  buttonHz_Space: {
    marginHorizontal: windowWidth(15),
  },
  webview: { flex: 1 },
  packageMainView: {
    padding: windowHeight(10),
    borderRadius: windowHeight(6),
    width: "100%",
    alignItems: "center",
    paddingTop: windowHeight(3),
    paddingBottom: windowHeight(3),
  },
  searchView: {
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(40),
    width: windowHeight(40),
    height: windowHeight(40),
    backgroundColor: appColors.whiteColor,
  },
  whereNext: {
    fontFamily: appFonts.semiBold,
    paddingHorizontal: windowWidth(15),
    fontSize: fontSizes.FONT20,
  },
  pickup: {
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT17,
    marginHorizontal: windowWidth(15),
    marginVertical: windowHeight(1),
  },
  line: {
    height: windowHeight(4),
    width: "100%",
    backgroundColor: appColors.loaderPrimary,
    marginVertical: windowHeight(5),
  },
});
